#ifndef WIDGETS_GRAPHPLOTTER_AXISLAYER_H
#define WIDGETS_GRAPHPLOTTER_AXISLAYER_H

#include "PlotterItemGroup.h"


// -- TDE NAMESPACE ----------------------------------------------------

namespace TDE {

// -- Widgets NAMESPACE ------------------------------------------------

namespace Widgets {

namespace Plot {


class AxisLayer;

typedef SHARED_PTR<AxisLayer> AxisLayerPtr;

class AxisLayer : public PlotterItemGroup
{
public:
	static const int MAX_TICS;
	static const int MAX_MINOR_TICS;

	AxisLayer(GraphPlotter* plotterPtr);

	virtual void _draw();

	virtual bool enable() const { return m_enable; }
	virtual bool enable(bool value);

protected:
	virtual DataSetPtr _dataSetForTransform() const;

private:
	bool m_enable;
};


} /* end of namespace Plot */

} /* end of namespace Widgets */

} /* end of namespace TDE */

#endif /* WIDGETS_GRAPHPLOTTER_AXISLAYER_H */
